com.saxonica.expr.flwor

## Class CountClausePush

- java.lang.Object
- - net.sf.saxon.expr.flwor.TuplePush
  - - com.saxonica.expr.flwor.CountClausePush

-     public class CountClausePush
      extends TuplePush

  A tuple stream in push mode that implements a "count" clause in an XQuery 3.0 FLWOR expression

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountClausePush(TuplePush destination, CountClause countClause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the tuple stream, indicating that no more tuples will be supplied
    `void` | `processTuple(XPathContext context)` Notify the availability of the next tuple.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CountClausePush

          public CountClausePush(TuplePush destination,
                         CountClause countClause)

  - ### Method Detail

    - #### processTuple

          public void processTuple(XPathContext context)
                            throws XPathException

      Description copied from class: `TuplePush`
      Notify the availability of the next tuple. Before calling this method, the supplier of the tuples must set all the variables corresponding to the supplied tuple in the local stack frame associated with the context object
      Specified by:
        `processTuple` in class `TuplePush`
      Parameters:
        `context` - the dynamic evaluation context
      Throws:
        `XPathException` - if a dynamic error occurs

    - #### close

          public void close()
                     throws XPathException

      Close the tuple stream, indicating that no more tuples will be supplied
      Overrides:
        `close` in class `TuplePush`
      Throws:
        `XPathException` - if a dynamic error occurs

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.